#
# spec file for package rt2x00 (Version 2.0.6+git20070816)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# nodebuginfo
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv kernel-source kernel-syms less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           rt2x00
BuildRequires:  kernel-source kernel-syms module-init-tools
Summary:        Kernel Modules for Ralink Cards
Version:        2.0.6+git20070816
Release:        1.1
Group:          System/Kernel
License:        GPL v2 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://rt2x00.serialmonkey.com/
AutoReqProv:    on
%define tar_version cvs-2007081613
Source:         rt2x00-%{tar_version}.tar.bz2
Source100:      preamble
Patch:          rt2x00.diff
Patch1:         2.6.22.diff
Patch2:         rt61pci_firmware_loading.diff
ExclusiveArch:  %ix86 x86_64 ppc ppc64
%suse_kernel_module_package -n rt2x00 -p %_sourcedir/preamble kdump um

%description
This package contains drivers for wireless LAN adapters based on Ralink
RT2400, RT2500, RT2570, RT61, and RT73 chips.



Authors:
--------
    Mark Wallis <mwallis@serialmonkey.com>
    Ivo van Doorn

%package -n rt2x00-KMP
Summary:        Kernel Modules for Ralink Cards
Group:          System/Kernel
License:        GPL v2 or later

%description -n rt2x00-KMP
This package contains drivers for wireless LAN adapters based on Ralink
RT2400, RT2500, RT2570, RT61, and RT73 chips.



Authors:
--------
    Mark Wallis <mwallis@serialmonkey.com>
    Ivo van Doorn

%prep
%setup -n rt2x00-%{tar_version}
%patch
%patch1
%patch2 -p5

%build
make config_header
cd ..
mkdir obj
for flavor in %flavors_to_build; do
  rm -rf obj/$flavor
  cp -r rt2x00-* obj/$flavor
  make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD/obj/$flavor/$i
done

%install
cd ..
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	M=$PWD/obj/$flavor
done

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Nov 09 2007 - hschaa@suse.de
- Add patch rt61pci_firmware_loading.diff which fixes b.n.c #327838
* Fri Aug 17 2007 - dmueller@suse.de
- update to current git:
  * fix beacon handling again
  * endianess fixes
* Fri Aug 03 2007 - dmueller@suse.de
- update to 2.0.6:
  * suspend/resume fixes
  * code cleanups/indentation fixes
* Mon Jul 09 2007 - dmueller@suse.de
- update to cvs snapshot 20070709
  * hopefully fixes the lockup issue introduced with the last
  update
* Wed Jun 06 2007 - ro@suse.de
- update to cvs version to fix build with current kernel
* Tue May 22 2007 - dmueller@suse.de
- update to 2.0.0:
  * many bugfixes
* Fri Apr 20 2007 - ro@suse.de
- no debuginfo (no main package)
* Wed Apr 04 2007 - dmueller@suse.de
- update BuildRequires
* Sat Mar 31 2007 - dmueller@suse.de
- fix rt2500 writing too many bytes per packet
- reverse rate order to prefer 11g over 11b again
* Mon Mar 26 2007 - jg@suse.de
- created own package for rt2x00 (formerly part of wlan-kmp)
- update to version cvs-2007032607
